1. 2015 is going to be a great year for Android! Why wait??
    Samsung Galaxy Note 5 | Samsung Galaxy S6 | HTC One M9
  2. New Forum Created: Samsung Gear VR!

Compatability problemGeneral


  1. Merlin54

    Merlin54 New Member

    Can anyone advise me why I cannot install Words for Friends (Scrabble clone) on my Galaxy Fit.
    It tells me that the app is incompatable with my device.
    The specs say that I need Android 2.1 or better whereas the Fit has Android 2.2

    Advertisement
    :
  2. scary alien

    scary alien not really so scary Moderator

    Merlin54,

    Welcome to the AndroidForums!

    The only thing I can think of is that there's a screen resolution requirement for the app that the Market and/or the app/developer is imposing (to keep you from having a bad user experience with the app).

    Here's an excerpt from the Words with Friends support website (The Zynga With Friends Helpdesk):

    Q: Why can’t I find the game on the Android Market?

    A: There are two requirements to run Words Android: 1) you have to be running Android version 2.1 or higher. 2) your screen size must be at least 320
  3. markadams

    markadams New Member

    hi had the same thing got the phone for chrissy i spent a few days tryin got on google on the phone typed words with freinds samsung fit and down loded it works great hope all goes well.
    Mark
  4. scary alien

    scary alien not really so scary Moderator

    Thank you for the feedback and confirmation, Mark, and welcome to the AndroidForums! :)

    Cheers!
Loading...

Share This Page